=== debian/changelog ===
ros-melodic-distance-map-deadreck (0.1.0-1stretch) stretch; urgency=high

  * Initial release

 -- Jeremie Deray <deray.jeremie@gmail.com>  Fri, 02 Aug 2019 04:00:00 -0000
